Sign inGet started

SLA Policies

GET
/workspaces/{workspaceId}/inbox/sla-policies
List SLA policies
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obligatorio
Mostrar atributos secundarios
results.createdAt
string
obligatorio
results.description
string
obligatorio
results.id
string
obligatorio
results.metrics
object
Mostrar atributos secundarios
results.metrics.firstReplyTime
array of object
Mostrar atributos secundarios
results.metrics.firstReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.firstReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
results.metrics.firstReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.metrics.nextReplyTime
array of object
Mostrar atributos secundarios
results.metrics.nextReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.nextReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
results.metrics.nextReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.name
string
obligatorio
results.timeKeepingMethod
string
obligatorio
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
results.updatedAt
string
obligatorio
results.workspaceId
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/sla-policies
Create SLA policy
Cuerpo de la solicitud
name
string
obligatorio
description
string
obligatorio
timeKeepingMethod
string
obligatorio
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Mostrar parámetros secundarios
metrics.firstReplyTime
array of object
Mostrar parámetros secundarios
metrics.firstReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostrar parámetros secundarios
metrics.nextReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
Cuerpo de la respuesta
createdAt
string
obligatorio
description
string
obligatorio
id
string
obligatorio
metrics
object
Mostrar atributos secundarios
metrics.firstReplyTime
array of object
Mostrar atributos secundarios
metrics.firstReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostrar atributos secundarios
metrics.nextReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obligatorio
timeKeepingMethod
string
obligatorio
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Get SLA policy
Cuerpo de la respuesta
createdAt
string
obligatorio
description
string
obligatorio
id
string
obligatorio
metrics
object
Mostrar atributos secundarios
metrics.firstReplyTime
array of object
Mostrar atributos secundarios
metrics.firstReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostrar atributos secundarios
metrics.nextReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obligatorio
timeKeepingMethod
string
obligatorio
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Update SLA policy
Cuerpo de la solicitud
name
string
description
string
timeKeepingMethod
string
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Mostrar parámetros secundarios
metrics.firstReplyTime
array of object
Mostrar parámetros secundarios
metrics.firstReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostrar parámetros secundarios
metrics.nextReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
Cuerpo de la respuesta
createdAt
string
obligatorio
description
string
obligatorio
id
string
obligatorio
metrics
object
Mostrar atributos secundarios
metrics.firstReplyTime
array of object
Mostrar atributos secundarios
metrics.firstReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostrar atributos secundarios
metrics.nextReplyTime.breachThreshold
integer
obligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obligatorio
timeKeepingMethod
string
obligatorio
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Delete SLA policy
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'